Overview
GET
/content/category-itemscontentList category_items
List category-items.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- categoryIdstring
- targetKindstring
- targetIdstring
- sortOrderinteger
- createdAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"categoryId": "string",
"targetKind": "string",
"targetId": "string",
"sortOrder": 0,
"createdAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/category-items" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/category-items", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();